<template>
  <Header title="Props naslov" />
  <div>Poruka s API-ja: {{ apiMessage }}</div>
  Mijenanje stanje globalnog brojača: <Counter />
</template>

<script>
import Header from "../components/Header.vue";
import Counter from "../components/Counter.vue";

export default {
  data() {
    return {
      apiMessage: "",
    };
  },
  components: {
    Header,
    Counter,
  },
  methods: {
    callAPI() {
      return fetch(
        "https://run.mocky.io/v3/b020ae44-4b28-41d0-9a05-7d75207ea95a",
        {
          method: "get",
          headers: {
            "content-type": "application/json",
          },
        }
      )
        .then((res) => res.json())
        .then((response) => {
          this.apiMessage = response.message;
        });
    },
  },
  mounted() {
    this.callAPI();
  },
};
</script>